"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DarkTheme = exports.LightTheme = exports.backgroundImage = exports.alignMiddle = exports.isMobile = exports.pixelToRem = exports.fontFace = exports.mobileMaxWidth = exports.tabletMaxWidth = exports.tabletMinWidth = exports.desktopMinWidth = exports.headerHeightMobileLarge = exports.headerHeightMobileSmall = exports.headerHeightDesktopLarge = exports.headerHeightDesktopSmall = exports.fontSecondaryBold = exports.fontSecondaryMedium = exports.fontSecondaryRegular = exports.fontSecondaryBook = exports.fontPrimaryBold = exports.fontPrimaryMedium = exports.fontPrimaryRegular = exports.fontPrimaryBook = exports.colorError = exports.colorSuccess = exports.colorTertiaryDark = exports.colorTertiaryNormal = exports.colorTertiaryLight = exports.colorSecondaryDark = exports.colorSecondaryNormal = exports.colorSecondaryLight = exports.colorSecondaryExtraLight = exports.colorPrimaryDark = exports.colorPrimaryNormal = exports.colorPrimaryLight = void 0;
const meema_utils_1 = require("meema.utils");
Object.defineProperty(exports, "pixelToRem", { enumerable: true, get: function () { return meema_utils_1.pixelToRem; } });
Object.defineProperty(exports, "fontFace", { enumerable: true, get: function () { return meema_utils_1.fontFace; } });
Object.defineProperty(exports, "isMobile", { enumerable: true, get: function () { return meema_utils_1.isMobile; } });
Object.defineProperty(exports, "alignMiddle", { enumerable: true, get: function () { return meema_utils_1.alignMiddle; } });
Object.defineProperty(exports, "backgroundImage", { enumerable: true, get: function () { return meema_utils_1.backgroundImage; } });
exports.colorPrimaryLight = '#57DBFF';
exports.colorPrimaryNormal = '#2fb3e4';
exports.colorPrimaryDark = '#078BBC';
exports.colorSecondaryExtraLight = '#F3F3F3';
exports.colorSecondaryLight = '#C4C4C4';
exports.colorSecondaryNormal = '#353535';
exports.colorSecondaryDark = '#171717';
exports.colorTertiaryLight = '';
exports.colorTertiaryNormal = '';
exports.colorTertiaryDark = '';
exports.colorSuccess = '#3c763d';
exports.colorError = '#a94442';
exports.fontPrimaryBook = 'Font-Primary-Book';
exports.fontPrimaryRegular = 'Font-Primary-Regular';
exports.fontPrimaryMedium = 'Font-Primary-Medium';
exports.fontPrimaryBold = 'Font-Primary-Bold';
exports.fontSecondaryBook = 'Font-Secondary-Book';
exports.fontSecondaryRegular = 'Font-Secondary-Regular';
exports.fontSecondaryMedium = 'Font-Secondary-Medium';
exports.fontSecondaryBold = 'Font-Secondary-Bold';
exports.headerHeightDesktopSmall = 73;
exports.headerHeightDesktopLarge = 146;
exports.headerHeightMobileSmall = 73;
exports.headerHeightMobileLarge = 146;
exports.desktopMinWidth = 1024;
exports.tabletMinWidth = 768;
exports.tabletMaxWidth = 1023;
exports.mobileMaxWidth = 767;
const DefaultTheme = {
    borderRadius: 4,
    color: {
        primary: {
            normal: exports.colorPrimaryNormal,
            light: exports.colorPrimaryLight,
            dark: exports.colorPrimaryDark,
        },
        secondary: {
            extraLight: exports.colorSecondaryExtraLight,
            normal: exports.colorSecondaryNormal,
            light: exports.colorSecondaryLight,
            dark: exports.colorSecondaryDark,
        },
        tertiary: {
            normal: exports.colorTertiaryNormal,
            light: exports.colorTertiaryLight,
            dark: exports.colorTertiaryDark,
        },
        success: {
            normal: exports.colorSuccess,
            light: '',
            dark: '',
        },
        warning: {
            normal: '',
            light: '',
            dark: '',
        },
        error: {
            normal: exports.colorError,
            light: '',
            dark: '',
        },
    },
    heading: {
        color: {
            primary: {
                normal: exports.colorSecondaryNormal,
                light: '',
                dark: '',
            },
            secondary: {
                normal: exports.colorPrimaryNormal,
                light: '',
                dark: '',
            },
        },
    },
    text: {
        color: {
            primary: {
                normal: exports.colorSecondaryNormal,
                light: '',
                dark: '',
            },
            secondary: {
                normal: exports.colorPrimaryNormal,
                light: '',
                dark: '',
            },
        },
    },
    font: {
        size: {
            _default: 16,
            h1: 30,
            h2: 20,
            p: 16,
            span: 16,
            button: 16,
        },
        family: {
            primary: {
                book: exports.fontPrimaryBook,
                regular: exports.fontPrimaryRegular,
                medium: exports.fontPrimaryMedium,
                bold: exports.fontPrimaryBold,
            },
            secondary: {
                book: exports.fontSecondaryBook,
                regular: exports.fontSecondaryRegular,
                medium: exports.fontSecondaryMedium,
                bold: exports.fontSecondaryBold,
            },
            _default: {
                h1: exports.fontPrimaryBold,
                h2: exports.fontPrimaryBold,
                h3: exports.fontPrimaryBold,
                h4: exports.fontPrimaryBold,
                h5: exports.fontPrimaryBold,
                h6: exports.fontPrimaryBold,
                div: exports.fontPrimaryBold,
                p: exports.fontPrimaryRegular,
                span: exports.fontPrimaryRegular,
                button: exports.fontPrimaryRegular,
            }
        }
    },
    header: {
        height: {
            desktop: {
                small: exports.headerHeightDesktopSmall,
                large: exports.headerHeightDesktopLarge,
            },
            mobile: {
                small: exports.headerHeightMobileSmall,
                large: exports.headerHeightMobileLarge,
            },
        },
    },
    footer: {
        height: {
            desktop: {
                small: 100,
                large: 100,
            },
            mobile: {
                small: 100,
                large: 100,
            },
        },
    },
    responsive: {
        desktop: {
            minWidth: exports.desktopMinWidth,
        },
        tablet: {
            minWidth: exports.tabletMinWidth,
            maxWidth: exports.tabletMaxWidth,
        },
        mobile: {
            maxWidth: exports.mobileMaxWidth,
        },
    },
};
exports.LightTheme = Object.assign({}, DefaultTheme);
exports.DarkTheme = Object.assign({}, DefaultTheme);
exports.default = DefaultTheme;
//# sourceMappingURL=index.js.map